<?php
$tdataplacas_total = array();
$tdataplacas_total[".searchableFields"] = array();
$tdataplacas_total[".ShortName"] = "placas_total";
$tdataplacas_total[".OwnerID"] = "";
$tdataplacas_total[".OriginalTable"] = "placas_total";


$tdataplacas_total[".pagesByType"] = my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"]}" );
$tdataplacas_total[".originalPagesByType"] = $tdataplacas_total[".pagesByType"];
$tdataplacas_total[".pages"] = types2pages( my_json_decode( "{\"list\":[\"list\"],\"search\":[\"search\"]}" ) );
$tdataplacas_total[".originalPages"] = $tdataplacas_total[".pages"];
$tdataplacas_total[".defaultPages"] = my_json_decode( "{\"list\":\"list\",\"search\":\"search\"}" );
$tdataplacas_total[".originalDefaultPages"] = $tdataplacas_total[".defaultPages"];

//	field labels
$fieldLabelsplacas_total = array();
$fieldToolTipsplacas_total = array();
$pageTitlesplacas_total = array();
$placeHoldersplacas_total = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsplacas_total["Spanish"] = array();
	$fieldToolTipsplacas_total["Spanish"] = array();
	$placeHoldersplacas_total["Spanish"] = array();
	$pageTitlesplacas_total["Spanish"] = array();
	$fieldLabelsplacas_total["Spanish"]["CARGAS"] = "CARGAS";
	$fieldToolTipsplacas_total["Spanish"]["CARGAS"] = "";
	$placeHoldersplacas_total["Spanish"]["CARGAS"] = "";
	$fieldLabelsplacas_total["Spanish"]["PLACA"] = "PLACA";
	$fieldToolTipsplacas_total["Spanish"]["PLACA"] = "";
	$placeHoldersplacas_total["Spanish"]["PLACA"] = "";
	$fieldLabelsplacas_total["Spanish"]["VOLUMEN_TOTAL"] = "VOLUMEN TOTAL";
	$fieldToolTipsplacas_total["Spanish"]["VOLUMEN_TOTAL"] = "";
	$placeHoldersplacas_total["Spanish"]["VOLUMEN_TOTAL"] = "";
	if (count($fieldToolTipsplacas_total["Spanish"]))
		$tdataplacas_total[".isUseToolTips"] = true;
}


	$tdataplacas_total[".NCSearch"] = true;



$tdataplacas_total[".shortTableName"] = "placas_total";
$tdataplacas_total[".nSecOptions"] = 0;

$tdataplacas_total[".mainTableOwnerID"] = "";
$tdataplacas_total[".entityType"] = 0;
$tdataplacas_total[".connId"] = "bsn_dividendos_at_localhost";


$tdataplacas_total[".strOriginalTableName"] = "placas_total";

	



$tdataplacas_total[".showAddInPopup"] = false;

$tdataplacas_total[".showEditInPopup"] = false;

$tdataplacas_total[".showViewInPopup"] = false;

$tdataplacas_total[".listAjax"] = false;
//	temporary
//$tdataplacas_total[".listAjax"] = false;

	$tdataplacas_total[".audit"] = true;

	$tdataplacas_total[".locking"] = true;


$pages = $tdataplacas_total[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataplacas_total[".edit"] = true;
	$tdataplacas_total[".afterEditAction"] = 1;
	$tdataplacas_total[".closePopupAfterEdit"] = 1;
	$tdataplacas_total[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataplacas_total[".add"] = true;
$tdataplacas_total[".afterAddAction"] = 1;
$tdataplacas_total[".closePopupAfterAdd"] = 1;
$tdataplacas_total[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataplacas_total[".list"] = true;
}



$tdataplacas_total[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataplacas_total[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataplacas_total[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataplacas_total[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataplacas_total[".printFriendly"] = true;
}



$tdataplacas_total[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataplacas_total[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataplacas_total[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataplacas_total[".isUseAjaxSuggest"] = true;



																																	

$tdataplacas_total[".ajaxCodeSnippetAdded"] = false;

$tdataplacas_total[".buttonsAdded"] = false;

$tdataplacas_total[".addPageEvents"] = false;

// use timepicker for search panel
$tdataplacas_total[".isUseTimeForSearch"] = false;


$tdataplacas_total[".badgeColor"] = "00C2C5";


$tdataplacas_total[".allSearchFields"] = array();
$tdataplacas_total[".filterFields"] = array();
$tdataplacas_total[".requiredSearchFields"] = array();

$tdataplacas_total[".googleLikeFields"] = array();
$tdataplacas_total[".googleLikeFields"][] = "CARGAS";
$tdataplacas_total[".googleLikeFields"][] = "PLACA";
$tdataplacas_total[".googleLikeFields"][] = "VOLUMEN_TOTAL";



$tdataplacas_total[".tableType"] = "list";

$tdataplacas_total[".printerPageOrientation"] = 0;
$tdataplacas_total[".nPrinterPageScale"] = 100;

$tdataplacas_total[".nPrinterSplitRecords"] = 40;

$tdataplacas_total[".geocodingEnabled"] = false;










$tdataplacas_total[".pageSize"] = 30;

$tdataplacas_total[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdataplacas_total[".strOrderBy"] = $tstrOrderBy;

$tdataplacas_total[".orderindexes"] = array();


$tdataplacas_total[".sqlHead"] = "SELECT CARGAS,  	PLACA,  	VOLUMEN_TOTAL";
$tdataplacas_total[".sqlFrom"] = "FROM placas_total";
$tdataplacas_total[".sqlWhereExpr"] = "";
$tdataplacas_total[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataplacas_total[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataplacas_total[".arrGroupsPerPage"] = $arrGPP;

$tdataplacas_total[".highlightSearchResults"] = true;

$tableKeysplacas_total = array();
$tdataplacas_total[".Keys"] = $tableKeysplacas_total;


$tdataplacas_total[".hideMobileList"] = array();




//	CARGAS
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "CARGAS";
	$fdata["GoodName"] = "CARGAS";
	$fdata["ownerTable"] = "placas_total";
	$fdata["Label"] = GetFieldLabel("placas_total","CARGAS");
	$fdata["FieldType"] = 20;


	
	
			

		$fdata["strField"] = "CARGAS";

		$fdata["sourceSingle"] = "CARGAS";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CARGAS";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataplacas_total["CARGAS"] = $fdata;
		$tdataplacas_total[".searchableFields"][] = "CARGAS";
//	PLACA
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "PLACA";
	$fdata["GoodName"] = "PLACA";
	$fdata["ownerTable"] = "placas_total";
	$fdata["Label"] = GetFieldLabel("placas_total","PLACA");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "PLACA";

		$fdata["sourceSingle"] = "PLACA";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "PLACA";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataplacas_total["PLACA"] = $fdata;
		$tdataplacas_total[".searchableFields"][] = "PLACA";
//	VOLUMEN_TOTAL
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "VOLUMEN_TOTAL";
	$fdata["GoodName"] = "VOLUMEN_TOTAL";
	$fdata["ownerTable"] = "placas_total";
	$fdata["Label"] = GetFieldLabel("placas_total","VOLUMEN_TOTAL");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "VOLUMEN_TOTAL";

		$fdata["sourceSingle"] = "VOLUMEN_TOTAL";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "VOLUMEN_TOTAL";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataplacas_total["VOLUMEN_TOTAL"] = $fdata;
		$tdataplacas_total[".searchableFields"][] = "VOLUMEN_TOTAL";


$tables_data["placas_total"]=&$tdataplacas_total;
$field_labels["placas_total"] = &$fieldLabelsplacas_total;
$fieldToolTips["placas_total"] = &$fieldToolTipsplacas_total;
$placeHolders["placas_total"] = &$placeHoldersplacas_total;
$page_titles["placas_total"] = &$pageTitlesplacas_total;


changeTextControlsToDate( "placas_total" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["placas_total"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["placas_total"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_placas_total()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "CARGAS,  	PLACA,  	VOLUMEN_TOTAL";
$proto0["m_strFrom"] = "FROM placas_total";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "CARGAS",
	"m_strTable" => "placas_total",
	"m_srcTableName" => "placas_total"
));

$proto6["m_sql"] = "CARGAS";
$proto6["m_srcTableName"] = "placas_total";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "PLACA",
	"m_strTable" => "placas_total",
	"m_srcTableName" => "placas_total"
));

$proto8["m_sql"] = "PLACA";
$proto8["m_srcTableName"] = "placas_total";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "VOLUMEN_TOTAL",
	"m_strTable" => "placas_total",
	"m_srcTableName" => "placas_total"
));

$proto10["m_sql"] = "VOLUMEN_TOTAL";
$proto10["m_srcTableName"] = "placas_total";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto12=array();
$proto12["m_link"] = "SQLL_MAIN";
			$proto13=array();
$proto13["m_strName"] = "placas_total";
$proto13["m_srcTableName"] = "placas_total";
$proto13["m_columns"] = array();
$proto13["m_columns"][] = "CARGAS";
$proto13["m_columns"][] = "PLACA";
$proto13["m_columns"][] = "VOLUMEN_TOTAL";
$obj = new SQLTable($proto13);

$proto12["m_table"] = $obj;
$proto12["m_sql"] = "placas_total";
$proto12["m_alias"] = "";
$proto12["m_srcTableName"] = "placas_total";
$proto14=array();
$proto14["m_sql"] = "";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = false;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

$proto12["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto12);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="placas_total";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_placas_total = createSqlQuery_placas_total();


	
		;

			

$tdataplacas_total[".sqlquery"] = $queryData_placas_total;



$tdataplacas_total[".hasEvents"] = false;

?>